Ubuntu

eeepc_laptop module not loading on kernel 2.6.32

Reported by Nicolae Istratii on 2010-01-10
292
This bug affects 65 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Low
Seth Forshee
Nominated for Lucid by Nicolae Istratii

Bug Description

Binary package hint: linux-image-2.6.32-9-generic

I am using Ubuntu 10.4 on Asus eeepc 1005HA

# apt-cache policy linux-image-2.6.32-9-generic
linux-image-2.6.32-9-generic:
  Installed: 2.6.32-9.13

The kernel module eeepc_laptop is not loading, thus, hotkeys are not functioning.

# modprobe eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-9-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): No such device

The same issue can be found on archlinux forum:
http://bbs.archlinux.org/viewtopic.php?id=87316
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tallman 2286 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 22'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,10438398,00100004'
   Controls : 13
   Simple ctrls : 8
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=b5c45ef4-1a49-49ae-9091-0bf2c957ddfe
MachineType: ASUSTeK Computer INC. 1005HA
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-10-generic root=UUID=f63a1a16-d603-447e-898d-961b1e31a846 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-10.14-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.28
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: ubuntu-unr lucid regression-potential
TestedUpstream: Yes
Uname: Linux 2.6.32-10-generic i686
UserGroups: adm admin audio cdrom dialout fuse lpadmin netdev plugdev sambashare
dmi.bios.date: 10/16/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1102
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1005HA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1102:bd10/16/2009:svnASUSTeKComputerINC.:pn1005HA:pvrx.x:rvnASUSTeKComputerINC.:rn1005HA:rvrx.xx:cvnASUSTeKComputerINC.:ct10:cvrx.x:
dmi.product.name: 1005HA
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

Hi Nicholaie,

Can you also attach your dmesg output after you've tried to load the module? Can you also run the following command which will gather and attach general debug information. Thanks.

apport-collect -p linux 505452

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Nicolae Istratii (tallman9) wrote :

Hello Leann,

The same issue also affects the mainline kernel, I installed it as it is indicated in https://wiki.ubuntu.com/KernelTeam/MainlineBuilds

The only thing that helps is adding acpi_osi=Linux in the GRUB to the boot line, as it is recommended in http://bbs.archlinux.org/viewtopic.php?id=87316.

The is no output in dmesg, that's why I didn't attach the dmesg output at the beginning.

Nicolae Istratii (tallman9) wrote :

root@seashell:/home/tallman# modprobe eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-10-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): No such device
root@seashell:/home/tallman# dmesg|tail
[ 23.276241] domain 0: span 0-1 level SIBLING
[ 23.276248] groups: 1 (cpu_power = 589) 0 (cpu_power = 589)
[ 23.276264] domain 1: span 0-1 level MC
[ 23.276271] groups: 0-1 (cpu_power = 1178)
[ 35.140895] Skipping EDID probe due to cached edid
[ 35.209074] Skipping EDID probe due to cached edid
[ 35.250284] Skipping EDID probe due to cached edid
[ 38.249231] Skipping EDID probe due to cached edid
[ 48.699961] wlan0: Selected IBSS BSSID 66:93:0f:b6:00:87 based on configured SSID
[ 58.921021] wlan0: no IPv6 routers present
root@seashell:/home/tallman# modprobe -f eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-10-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): Invalid module format
root@seashell:/home/tallman# dmesg|tail
[ 23.276241] domain 0: span 0-1 level SIBLING
[ 23.276248] groups: 1 (cpu_power = 589) 0 (cpu_power = 589)
[ 23.276264] domain 1: span 0-1 level MC
[ 23.276271] groups: 0-1 (cpu_power = 1178)
[ 35.140895] Skipping EDID probe due to cached edid
[ 35.209074] Skipping EDID probe due to cached edid
[ 35.250284] Skipping EDID probe due to cached edid
[ 38.249231] Skipping EDID probe due to cached edid
[ 48.699961] wlan0: Selected IBSS BSSID 66:93:0f:b6:00:87 based on configured SSID
[ 58.921021] wlan0: no IPv6 routers present
root@seashell:/home/tallman# modprobe eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-10-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): No such device
root@seashell:/home/tallman# dmesg|tail
[ 23.276241] domain 0: span 0-1 level SIBLING
[ 23.276248] groups: 1 (cpu_power = 589) 0 (cpu_power = 589)
[ 23.276264] domain 1: span 0-1 level MC
[ 23.276271] groups: 0-1 (cpu_power = 1178)
[ 35.140895] Skipping EDID probe due to cached edid
[ 35.209074] Skipping EDID probe due to cached edid
[ 35.250284] Skipping EDID probe due to cached edid
[ 38.249231] Skipping EDID probe due to cached edid
[ 48.699961] wlan0: Selected IBSS BSSID 66:93:0f:b6:00:87 based on configured SSID
[ 58.921021] wlan0: no IPv6 routers present
root@seashell:/home/tallman#

Andy Whitcroft (apw) on 2010-01-13
tags: added: lucid
Rolf Leggewie (r0lf) on 2010-01-31
Changed in linux (Ubuntu):
status: Incomplete → New
Andy Whitcroft (apw) on 2010-02-05
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Sitsofe Wheeler (sitsofe) wrote :

Looks like a patch for this has been sent to the LKML: http://lkml.org/lkml/2010/2/1/186

tags: added: iso-testing

So temporary workaround is adding acpi_osi=Linux to the kernel cmdline, works for me too (Asus 1005HA)

Daniel Serodio (dserodio) wrote :

It _is_ working for me on kernel 2.6.32-16-generic (Eee 900)

Haggai Eran (haggai-eran) wrote :

I'm afraid it still doesn't work for me on Eee 1005HA. evem woth 2.6.32-16-generic.
When I try modprobing eeepc_laptop, I still get the "No such device" error.

Haggai Eran (haggai-eran) wrote :

Sorry about the typos :)

Haggai Eran (haggai-eran) wrote :

One more thing: when I wrote that the module doesn't work for me, I meant without the workaround. Setting acpi_osi=Linux in the command line works for me too.

Rola (pabswiss) wrote :

Adding acpi_osi=Linux worked for me on 1005ha, but now fn+F7 (screen off) does nothing, I get no notification for brightness hotkeys (though they work) and touchpad disable hotkeys do send a signal but they don't disable it (just get the "touchpad enabled" message.

Gary M (garym) on 2010-03-22
tags: added: hw-specific
Hing-Wah Wan (hingwah) wrote :

I have a eeepc 1005PE, adding acpi_osi=Linux fix the eeepc_laptop problem, however, the ethernet controller disappeared.

lspci output(without acpi_osi=Linux):

Luca Aluffi (aluffilu) wrote :

Same here with asus eeepc 1201nl. I'm attaching lspci output.

May I help in some manner?

pablomme (pablomme) wrote :

On my Eee PC 1005HA:
- eeepc_laptop.ko does not load with the out-of-the-box configuration
- with GRUB_CMDLINE_LINUX="acpi_osi=Linux", the module loads correctly

As for what happens without/with the module:

Key Without With
---------------------------------------------
Sleep yes yes
Wifi no yes
Touchpad no yes
Screen size? - -
Bright+ yes yes (no popup)
Bright- yes yes (no popup)
Screen off yes no
Ext.display no yes
Sys.monitor? - -
Mute no yes
Volume+ no yes
Volume- no yes

The module should obviously load without tweaking /etc/default/grub, but the fact that it breaks "screen off" and messes with the behaviour of the brightness keys is a bug in itself. Should I file this as a separate bug? Is there any info I can provide to help fix the first one?

Usama Akkad (damascene) wrote :

I've the exact same behaviour as Pablomme said. and some others have reported that in bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/518007

have this been reported to asus eepc forum?

ratdude747 (ratdude747) wrote :

still have the bug on my 1000HEb, fully updated. i have not tried the grub patch, i use my ethernet too much to risk it.

pablomme (pablomme) wrote :

@Usama: that bug is marked as a duplicate of this one. It should be de-duplicated or a new one with the specific issues that happen when the module is loaded should be created.

WeatherGod (ben-v-root) wrote :

I have just tested the latest build of UNR today (April 5) on my stock Eee PC 1000 using a LiveCD. The eeepc_laptop module did load correctly without any tricks. I can confirm that the screen does not turn off with Fn+F7. All other keys work as reported. In addition, the indicator applet does pop up for changes to the brightness level, unlike what was reported for comment 28.

Haggai Eran (haggai-eran) wrote :

Hi,

I tested an updated lucid with kernel 2.6.32-19-generic #28-Ubuntu on an Eee 1005HA, and the module still doesn't load when not using the workaround.

Friik (slash-m3-gmail) wrote :

The workaround works for me on an 1005HA with 2.6.32-19-generic kernel, at least sort of. Using the workaround, eeepc_laptop loads successfully. The volume hotkeys work as well (they don't without the workaround), but there are no longer any brightness notifications (using eee-control from the ppa:eee-control/eee-control).

Corentin Chary (iksaif) wrote :

The real solution is to use the new eeepc-wmi module. A backport for 2.6.32 is available at http://git.iksaif.net/?p=acpi4asus.git;a=shortlog;h=refs/heads/backport-eeepc-wmi-2.6.32

Jochen Mertens (jmertens) wrote :

i can confirm this bug on my eeepc 1000he!

the eeepc_laptop-module does not load and none of the Fn+X shortcuts works (except of suspend to ram F1)!

Haggai Eran (haggai-eran) wrote :

Hi,

I've tried compiling the eeepc-wmi module with kernel 2.6.32-19-generic, and I still got the 'No such device' error when trying to load it.
In dmesg I also got the following text:
'EEEPC WMI: No known WMI GUID found'.

Corentin Chary (iksaif) wrote :

Hum I just checked and it seems that 2.6.32 can't load eeepc-wmi and that you need a 2.6.34 kernel (or 2.6.33 with some patchs backported). I think eeepc-wmi won't be usable in ubuntu before next release :/

description: updated
bagl0312 (bagl0312) wrote :

Hello,
I confirm same bug on my eeepc 1005HA :(

MasterX (trashmaster-disposal) wrote :

I also have this issue with Lucid and a ASUS eeepc 1000H.

Sleep yes
Wifi no (this kills wifi completely, in order to activate it again I have to go into the BIOS)
Touchpad no
Bright+ yes
Bright- yes
Screen off no
Ext.display no
Mute no
Volume+ no
Volume- no

With Karmic everything worked. This is a serious regression for eeepc users.

MasterX (trashmaster-disposal) wrote :

There exists a patch for the main kernel, but it has be rejected, due to non-technical reasons...
https://patchwork.kernel.org/patch/61816/
The reason for all these issues are also mentioned there.

Short summary:
The ASUS BIOS firmware is evil, because it sniffs, which OS is running. In the past Linux identified itself with "acpi_osi=Linux". But the newer kernels don't identify themselves. The ASUS firmware changes the ACPI configuration according to the detected OS and since it cannot detect "Linux" anymore all ACPI features go wrong.

Either ASUS updates its BIOS, Ubuntu devs include the mentioned patch or you have to change the GRUB configuration yourself.

For this you have to edit your GRUB configuration at "/etc/default/grub" and change a line:
GRUB_CMDLINE_LINUX_DEFAULT="quiet acpi_osi=Linux"

After changing /etc/default/grub, don't forget to run 'sudo update-grub'.

Crimson_Fox (crimson-fox-) wrote :

It seems that the ethernet port works again on the 1005HA with acpi_osi=Linux in the latest Lucid daily build.

Mark Mentovai (mark-moxienet) wrote :

After adding acpi_osi=Linux, you lose notifications for the brightness keys (Fn-F5 and Fn-F6). To get them back, add acpi_backlight=vendor.

Nice one Mark!

So this boils down to (newbie guide)
Alt+F2 (opens Run Application dialog box): gksudo gedit /etc/default/grub
now change the line
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=Linux acpi_backlight=vendor"
save & close

Alt+F2: gksudo update-grub

Now reboot

pablomme (pablomme) wrote :

@Mark: that fixes not only brightness notifications, but also gnome-power-manager's brightness control (dim when idle etc), which I was wondering why didn't seem to work on my laptop - a 1201N this time around, which is similarly affected by this bug.

Usama Akkad (damascene) wrote :

the fix is good but not for everything.
the wireless light always on. blue-tooth never off. screen off (fn+F7) not working

fn+space-bar does not send any signal even after using xev [1]

the wireless control function key (fn+F2) should be able to switch between wireless on, wireless & blue-tooth on, blue-tooth on and blue-tooth and wireless off.

I'm on Eee PC 1005HA

1.https://wiki.ubuntu.com/LaptopTesting/Keycodes

WeatherGod (ben-v-root) wrote :

Just tested my Eee PC 1000 with the release LiveCD, and everything seems fine except for the screen turning off (Fn+F7). I am curious as to what makes my model different from everyone else's Eee PCs? If it makes any difference, my EeePC was the SSD Linux version. I am also using the stock BIOS as well.

SaReNo (denein) wrote :

I have the same problem with my asus eee 1005-HA-H. I have added "acpi_osi=Linux acpi_backlight=vendor" to my grub and now I can use the fn keys for the volume. The brightness notification works too.
But I have found a small bug:
When I use the fn keys for brightness and then I use afterwards an another key (for exp. up, down or other keys), the notification pop ups again and the brightness changes a little bit.

Philipp Merkel (plippo) wrote :

I can confirm adding "acpi_osi=Linux" fixes the problem on my Eee PC T101MT. If I also add "acpi_backlight=vendor", screen brightness feedback also works, but I can't reach maximum brightness then. When I omit it, brightness control works fine and the screen gets as bright as in Windows, except that there is no feedback.

Philipp Merkel (plippo) wrote :

Please ignore my previous comment; looks like it also works with "acpi_backlight=vendor" now. Don't know why it didn't reach its full brightness before.

Gary M (garym) on 2010-05-10
tags: added: regression-release
kevind (kevind256) wrote :

I confirm the bug on ASUS Eee PC 1001P. I tried the following commands:

~$ sudo modprobe eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-24-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): No such device
~$ sudo modprobe -f eeepc_laptop
FATAL: Error inserting eeepc_laptop (/lib/modules/2.6.32-24-generic/kernel/drivers/platform/x86/eeepc-laptop.ko): Invalid module format

After adding acpi_osi=Linux to GRUB command line, it loads automatically (perhaps), and sound on/off and volume keys start responding, but ETHERNET STOPS WORKING, which is much bigger disadvantage than the keys :)

kevind (kevind256) wrote :

Correction to previous comment: model is 1001PX

magical_widget (sandshrew) wrote :

In latest kernels the bug which causes wired ethernet adapter to stop working when using "acpi_osi=Linux " is fixed (2.6.34 and later).
People who are experiencing the bug can install new kernels from:
https://edge.launchpad.net/~leannogasawara/+archive/ppa
https://launchpad.net/~xorg-edgers/+archive/ppa
http://kernel.ubuntu.com/~kernel-ppa/mainline/

Also, I would like to recommend installing eee-control ( http://greg.geekmind.org/eee-control ) for those who need all the hotkeys working. deb package for ubuntu lucid can be found here -> http://greg.geekmind.org/eee-control/deb/eee-control_0.9.6_all.deb

Alexander Lindeskär (alex006) wrote :

I can confirm this bug on the 1008P-model aswell.

After acpi_osi=Linux fix:
*Volume up & down works.
*Mute wont work (didn't before either)
*Screen-off wont work (did before)
*Task-manager-button works (didn't before)
*Projector-button works (didn't before)

Alexander Lindeskär (alex006) wrote :

*Volume didn't work before the fix too.

Seth Forshee (sforshee) wrote :

Can someone seeing this problem confirm that this issue is fixed in the maverick and natty kernels as well?

https://launchpad.net/ubuntu/+source/linux/2.6.35-22.33
https://launchpad.net/ubuntu/+source/linux/2.6.37-12.26

Changed in linux (Ubuntu):
status: Triaged → Incomplete
assignee: nobody → Seth Forshee (sforshee)
Nicolae Istratii (tallman9) wrote :

Running on Maverick.
Hotkeys working state:
Sleep yes
Wifi no
Touchpad no
Screen size? - -
Bright+ yes
Bright- yes
Screen off no
Ext.display (didn't test)
Sys.monitor? - -
Mute yes
Volume+ yes
Volume- yes

Seth Forshee (sforshee) wrote :

@Nicolae, thanks for testing. It sounds like the fundamental problem reported here is fixed in the newer kernels by the eeepc-wmi driver. If some hotkeys still aren't working, please open a new bug for that issue.

Jeremy Foshee (jeremyfoshee) wrote :

Fix Releasing per the reported issue getting solved.

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Alan Jackson (alan-ajackson) wrote :

Just asking for some clarification. This is marked as fixed, but that is not actually true for the kernel in the stable Lucid branch, but requires going to a newer kernel. I only raise this because I had such a wonderful experience on my 1005HA with Karmic, where everything just worked, and I worry about presenting a less than optimum experience to new Ubuntu users. Are there plans to backport the fix so that Lucid "works out of the box"?

Seth Forshee (sforshee) wrote :

Fixing this for lucid would require backporting the entire eeepc-wmi driver to that kernel, but that driver depends on some other features not present in that kernel version so those would have to be backported as well. It's just too invasive a change for a stable kernel update, especially considering that there's a workaround available.

Note that the 'Linux (Ubuntu)' task being set to Fix Released indicates that the latest development kernel contains a fix. The status for Lucid would be tracked in a Lucid sub-task. The bug was nominated for lucid but was never accepted (and I don't have the ability to either accept or decline the nomination).

11.10 with 3initrd.img-3.0.0-1[1-3]-generic is still affected by this. Hotkeys are not working.

Should i create a new bug about this? or do we use this bug for 11.10 also?

of course 3.0.0-1[1-3]-generic without initrd.img- (just a bad copy and paste from /boot/)

Seth Forshee (sforshee) wrote :

Michael: If hotkeys aren't working on your machine you should open a new bug. Please do so by opening a terminal and running 'ubuntu-bug linux'.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.